cURL
curl -G https://api.relayer.fi/v1/transactions/sign \
--data-urlencode "limit=50" \
-H "Authorization: ApiKey $RELAYER_API_KEY"const response = await fetch(`https://api.relayer.fi/v1/transactions/sign?limit=50`, {
headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` },
});import requests
url = "https://testnet.relayer.fi/v1/transactions/sign"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/transactions/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"Transactions
List signed transactions
Lists signed transactions for the integrator. Can be filtered by status.
GET
/
transactions
/
sign
cURL
curl -G https://api.relayer.fi/v1/transactions/sign \
--data-urlencode "limit=50" \
-H "Authorization: ApiKey $RELAYER_API_KEY"const response = await fetch(`https://api.relayer.fi/v1/transactions/sign?limit=50`, {
headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` },
});import requests
url = "https://testnet.relayer.fi/v1/transactions/sign"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/transactions/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"Authorizations
api-keyapi-keyapi-key
Use this format: ApiKey <your_api_key>
Query Parameters
Filter by status
Available options:
pending, confirmed, broadcasted, failed, expired, cancelled Maximum number of transactions to return (default: 20, max: 100)
Required range:
1 <= x <= 100Example:
20
Offset for pagination (default: 0)
Required range:
x >= 0Example:
0
Integrator ID (required for ADMIN/INTERNAL scope)
Example:
"uuid-integrator-id"
Response
200 - application/json
Transactions retrieved successfully
The response is of type any.